Main Page Widgets Namespaces Book

# Glib::SignalProxyProperty Class Reference

Use the connect() method, with sigc::ptr_fun() or sig::mem_fun() to connect signals to signal handlers. More...

Inheritance diagram for Glib::SignalProxyProperty:

[legend]
List of all members.

## Public Types

typedef sigc::slot<void> | SlotType

## Public Member Functions

| SignalProxyProperty (Glib::ObjectBase* obj, const gchar* property_name)
| ~SignalProxyProperty ()
sigc::connection | connect (const SlotType& sl)

## Static Protected Member Functions

void | callback (GObject* object, GParamSpec* pspec, gpointer data)

## Protected Attributes

const char* | property_name_

## Detailed Description

Use the connect() method, with sigc::ptr_fun() or sig::mem_fun() to connect signals to signal handlers.

## Member Typedef Documentation

typedef sigc::slot<void> Glib::SignalProxyProperty::SlotType

## Constructor & Destructor Documentation

Glib::SignalProxyProperty::SignalProxyProperty | ( | Glib::ObjectBase* | obj,
|  | const gchar* | property_name
| ) |

Glib::SignalProxyProperty::~SignalProxyProperty | ( |  | ) |

## Member Function Documentation

void Glib::SignalProxyProperty::callback | ( | GObject* | object,
|  | GParamSpec* | pspec,
|  | gpointer | data
| ) | `[static, protected]`

sigc::connection Glib::SignalProxyProperty::connect | ( | const SlotType& | sl | ) |

## Member Data Documentation

const char* Glib::SignalProxyProperty::property_name_`[protected]`

The documentation for this class was generated from the following file:

- propertyproxy_base.h